Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87688 - RFE: sendmail.spec and /etc/pam.d/smtp file
Summary: RFE: sendmail.spec and /etc/pam.d/smtp file
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-01 10:18 UTC by giorgio bellussi
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-04 17:59:37 UTC


Attachments (Terms of Use)

Description giorgio bellussi 2003-04-01 10:18:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2) Gecko/20030208
Netscape/7.02

Description of problem:
When Freshening sendmail rpm any user modification to /etc/pam.d/smtp will be
lost. It may be critical when user choosed a non default autentication method
(pam_ldap, e.g.).

Version-Release number of selected component (if applicable):
8.12.8-1 

How reproducible:
Always

Steps to Reproduce:
1.update your /etc/pam.d/smtp
2.rpm -F sendmail-*.rpm with a newer release
3.
    

Actual Results:  /etc/pam.d/smtp is replaced by the default one.

Expected Results:  When modified, rpm should create a .rpmnew file.

Additional info:

The sendmail.spec file contains a directive for /etc/pam.d/smtp file not 
prepended by any "%config(noreplace) " string.
(it's easy).

Comment 1 Florian La Roche 2003-04-04 17:59:37 UTC
Ok, added %config(noreplace) for the next version

Thanks,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.